package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.GroupType;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2020/3/8
 */
public class GroupCourseTimesDto {

    private String groupId;

    private GroupType groupType;

    private Integer classGroupId;

    private Integer totalCourseTimes;

    private Integer surplusClassTimes;

    private Date startDate;

    private Date endDate;

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public GroupType getGroupType() {
        return groupType;
    }

    public void setGroupType(GroupType groupType) {
        this.groupType = groupType;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Integer getTotalCourseTimes() {
        return totalCourseTimes;
    }

    public void setTotalCourseTimes(Integer totalCourseTimes) {
        this.totalCourseTimes = totalCourseTimes;
    }

    public Integer getSurplusClassTimes() {
        return surplusClassTimes;
    }

    public void setSurplusClassTimes(Integer surplusClassTimes) {
        this.surplusClassTimes = surplusClassTimes;
    }
}
